Package org.apache.ignite.internal.cache.query.index.sorted.keys

## Class NumericIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.NumericIndexKey

All Implemented Interfaces:
  `IndexKey`

Direct Known Subclasses:
  `BooleanIndexKey`, `ByteIndexKey`, `DecimalIndexKey`, `DoubleIndexKey`, `FloatIndexKey`, `IntegerIndexKey`, `LongIndexKey`, `ShortIndexKey`

    public abstract class NumericIndexKey
    extends Object
    implements IndexKey

Class that represnts a numeric index key.

### Constructor Summary

Constructors
`NumericIndexKey()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `compareTo​(boolean val)`
`abstract int` `compareTo​(byte val)`
`abstract int` `compareTo​(double val)`
`abstract int` `compareTo​(float val)`
`abstract int` `compareTo​(int val)`
`abstract int` `compareTo​(long val)`
`abstract int` `compareTo​(short val)`
`abstract int` `compareTo​(BigDecimal val)`
`boolean` `isComparableTo​(IndexKey k)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.keys.IndexKey

`compare, key, type`

### Constructor Detail

#### NumericIndexKey

    public NumericIndexKey()

### Method Detail

#### compareTo

    public abstract int compareTo​(boolean val)

#### compareTo

    public abstract int compareTo​(byte val)

#### compareTo

    public abstract int compareTo​(short val)

#### compareTo

    public abstract int compareTo​(int val)

#### compareTo

    public abstract int compareTo​(long val)

#### compareTo

    public abstract int compareTo​(float val)

#### compareTo

    public abstract int compareTo​(double val)

#### compareTo

    public abstract int compareTo​(BigDecimal val)

#### isComparableTo

    public boolean isComparableTo​(IndexKey k)

Specified by:
  `isComparableTo` in interface `IndexKey`
Returns:
  `True` if index key can be compared to another index key (in case keys have different types).